HTML::TAG Class Reference

`#include <HtmlBuilder.h>`

Inheritance diagram for HTML::TAG:
[legend]

## Public Member Functions

| TAG (const std::string &tag, std::ostream &stream)
virtual | ~TAG ()
TAG & | text ()
TAG & | text (const std::string &value)
TAG & | text (int value)

## Protected Attributes

std::ostream & | m_stream

## Private Attributes

std::string | m_tag
std::stringstream | m_value

## Detailed Description

Definition at line 33 of file HtmlBuilder.h.

## Constructor & Destructor Documentation

## TAG()

HTML::TAG::TAG | ( | const std::string & | tag,
|  | std::ostream & | stream
| ) |  |

inline

Definition at line 36 of file HtmlBuilder.h.

References m_stream, and m_tag.

: m_tag( tag ), m_stream( stream )
{
m_stream << "<" << m_tag;
}
HTML::TAG::m_stream
std::ostream & m_stream
Definition: HtmlBuilder.h:60
HTML::TAG::m_tag
std::string m_tag
Definition: HtmlBuilder.h:56

## ~TAG()

virtual HTML::TAG::~TAG | ( |  | ) |

inline virtual

Definition at line 42 of file HtmlBuilder.h.

References m_stream, m_tag, and m_value.

{
m_stream << m_value.str();
m_stream << "</" << m_tag << ">";
}
HTML::TAG::m_stream
std::ostream & m_stream
Definition: HtmlBuilder.h:60
HTML::TAG::m_value
std::stringstream m_value
Definition: HtmlBuilder.h:57
HTML::TAG::m_tag
std::string m_tag
Definition: HtmlBuilder.h:56

## Member Function Documentation

## text() [1/3]

TAG& HTML::TAG::text | ( |  | ) |

inline

Definition at line 48 of file HtmlBuilder.h.

References m_stream.

Referenced by FIX::HttpConnection::processDisableSessions(), FIX::HttpConnection::processEnableSessions(), FIX::HttpConnection::processRefreshSession(), FIX::HttpConnection::processRefreshSessions(), FIX::HttpConnection::processRequest(), FIX::HttpConnection::processResetSession(), FIX::HttpConnection::processResetSessions(), FIX::HttpConnection::processRoot(), FIX::HttpConnection::processSession(), FIX::HttpConnection::showRow(), and text().

{ m_stream << ">"; return *this; }
HTML::TAG::m_stream
std::ostream & m_stream
Definition: HtmlBuilder.h:60

## text() [2/3]

TAG& HTML::TAG::text | ( | const std::string & | value | ) |

inline

Definition at line 50 of file HtmlBuilder.h.

References m_value, and text().

{ m_value << value; text(); return *this; }
HTML::TAG::m_value
std::stringstream m_value
Definition: HtmlBuilder.h:57
HTML::TAG::text
TAG & text()
Definition: HtmlBuilder.h:48

## text() [3/3]

TAG& HTML::TAG::text | ( | int | value | ) |

inline

Definition at line 52 of file HtmlBuilder.h.

References m_value, and text().

{ m_value << value; text(); return *this; }
HTML::TAG::m_value
std::stringstream m_value
Definition: HtmlBuilder.h:57
HTML::TAG::text
TAG & text()
Definition: HtmlBuilder.h:48

## Member Data Documentation

## m_stream

std::ostream& HTML::TAG::m_stream

protected

Definition at line 60 of file HtmlBuilder.h.

Referenced by HTML::TD::align(), HTML::TABLE::border(), HTML::TABLE::cellspacing(), HTML::A::href(), TAG(), text(), HTML::TABLE::width(), and ~TAG().

## m_tag

std::string HTML::TAG::m_tag

private

Definition at line 56 of file HtmlBuilder.h.

Referenced by TAG(), and ~TAG().

## m_value

std::stringstream HTML::TAG::m_value

private

Definition at line 57 of file HtmlBuilder.h.

Referenced by text(), and ~TAG().

The documentation for this class was generated from the following file:

- HtmlBuilder.h